Skip to main content
`Ctrl`+`K`

# PetscLogHandlerLogObjectState

Record information about an object with the default log handler

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscLogHandlerLogObjectState(PetscLogHandler handler, PetscObject obj, const char format[], ...)

Not Collective, No Fortran Support

## Input Parameters

- handler - a `PetscLogHandler`

- obj - the `PetscObject`

- format - a printf-style format string

- … - printf arguments to format

## Note

The default log handler `PETSCLOGHANDLERDEFAULT` implements this function, but others generally do not. You can use `PetscLogObjectState()` to call this function for the default log handler that is connected to the global logging state (`PetscLogGetState()`).

## See Also

Profiling, `PetscLogObjectState`, `PetscLogObjectCreate()`, `PetscLogObjectDestroy()`, `PetscLogGetDefaultHandler()`

## Level

developer

## Location

src/sys/logging/handler/interface/loghandler.c

## Implementations

PetscLogHandlerLogObjectState_Default() in src/sys/logging/handler/impls/default/logdefault.c

Index of all Log routines
Table of Contents for all manual pages
Index of all manual pages